### Method

# Gio ActionMap remove_action_entries

since: 2.78

#### Declaration [src]

    void
    g_action_map_remove_action_entries (
      GActionMap* action_map,
      const GActionEntry* entries,
      gint n_entries
    )

#### Description [src]

Remove actions from a `GActionMap`. This is meant as the reverse of `g_action_map_add_action_entries()`.

    static const GActionEntry entries[] = {
        { "quit",         activate_quit              },
        { "print-string", activate_print_string, "s" }
    };

    void
    add_actions (GActionMap *map)
    {
      g_action_map_add_action_entries (map, entries, G_N_ELEMENTS (entries), NULL);
    }

    void
    remove_actions (GActionMap *map)
    {
      g_action_map_remove_action_entries (map, entries, G_N_ELEMENTS (entries));
    }

Available since: 2.78

#### Parameters

`entries`

  Type: An array of `None`

  A pointer to the first item in an array of `GActionEntry` structs.

  The length of the array is specified in the `n_entries` argument.
  The data is owned by the caller of the method.

`n_entries`

  Type: `gint`

  The length of `entries`, or -1 if `entries` is `NULL`-terminated.